/**
@author Sergio Catalan y Eduardo Duran
@fecha 13 de Junio de 2005
*/
	
   import javax.swing.*;
   import java.awt.event.*;
   import java.awt.*;
   import java.awt.geom.*;
   import java.applet.*;
   import java.awt.image.*;
   import java.lang.*;
   import java.io.*;
   import java.util.*;
	import java.sql.*;
	import javax.sql.*;
 	
	 //Clase que muestra el panel de informacin de partidos para su confirmacin 
    public class PanelProgramacion extends JPanel{
      
       	public PanelProgramacion(Statement stat, String login){
         login1 = login;
			stat1 = stat;
			
			//Estilo
         setBackground(Color.white);
         setBorder(BorderFactory.createTitledBorder("Programacion"));
			setLayout(new BorderLayout());
			
			//Titulo
			add(new JLabel("Partidos programados:"), BorderLayout.NORTH);
			
			l1 = new JLabel();
			flag = true;
			
			
			//Consulta. Despliega si hay algun partido actual programado.
			//De no haber despliega un mensaje No hay partidos programados
			try
			{
			res = stat.executeQuery("select * from partidos where actual = 1");
			res.next();
			
			//Se adquieren los valores del partido programado
			fecha = res.getString("fecha");
			hora = res.getString("hora");
			rival = res.getString("rival");
			lugar = res.getString("lugar");
			divisiones = res.getInt("divisiones");
		
			}
			catch(Exception e6)
			{
			System.out.println(e6);
			flag = false;
			}
			
			if (!flag) //Si no hay partidos programados (por que el resultado de la consulta es un NullPointer -> excepcion
			{
			l1.setText("No hay partidos programados proximamente...");
			add(l1, BorderLayout.WEST);
			}
			else //Si hay partidos programados...
			{
			l1.setText("CDUSM v/s "+rival);
			j = new JPanel();

			j.setBorder(BorderFactory.createTitledBorder(fecha));
			j.setLayout(new GridLayout(15,1));
			j.add(l1);
			j.add(new JLabel(hora));
			j.add(new JLabel(lugar));
			
			switch(divisiones)
			{
			case 1: j.add(new JLabel("Honor"));break;
			case 2: j.add(new JLabel("Reserva"));break;
			case 3: j.add(new JLabel("Segunda"));break;
			case 4: j.add(new JLabel("Segunda + Reserva"));break;
			}
			//Se agregan las etiquetas con la informacin (a traves de un panel nuevo)
			add(j, BorderLayout.CENTER);
			
			//Consulta. Adquiere la division en la cual el socio participa
			//Si el partido programado no es de su divisin, no se le permite confirmar
			try
			{
			res2 = stat.executeQuery("select * from socios where login='"+login+"'");
			res2.next();
			dbDiv = res2.getInt("division");
			dbCon = res2.getInt("confirmo");
			}
			catch(Exception e6){}
			
			if (divisiones == dbDiv || (divisiones == 4 && dbDiv > 1)) //Si el partido es de su division o si el socio es de reserva o segunda y el partido es para reserva y segunda
			{
			if (dbCon != 0) //Si el socio ya ha confirmado su asistencia para este partido
			{
			switch(dbCon)
			{
			case 1: temp = "Asistir";break;
			case 2: temp = "No Asistir";break;
			}
			add(new JLabel("Ya ha confirmado su asistencia: "+temp), BorderLayout.SOUTH);
			}
			
			else { //Si aun no confirma
						
			j2 = new JPanel();
			j2.setLayout(new FlowLayout());
			Boton1 = new JButton("Si voy");
         Boton2 = new JButton("No voy");
			Boton1.addActionListener(new BotonHandler()); //Se agregan los manejadores de comportamiento
			Boton2.addActionListener(new BotonHandler());
			
			j2.add(Boton1);
			j2.add(Boton2);
			
			//Se agregan los botones de confirmacin
			add(j2, BorderLayout.SOUTH);
			
					}//Fin else
			
			} //Fin if
			
			else //Si el partido no es de su division, se le informa que no puede confirmar su asistencia
			{
			add(new JLabel("Este partido no es para tu division"), BorderLayout.SOUTH);
			}
			
			}//Fin del else
			
      }//Fin constructor
		
		//Clase interna que maneja el comportamiento de los botones de confirmacin
		class BotonHandler implements ActionListener {
								
								
									public void actionPerformed(ActionEvent e){
									int a;
									
									//Transforma a int la fuente de la accion (1 si se presion el boton 1 o 2 si se presion el boton 2)
									if(e.getSource() == Boton1) a = 1;
									else a = 2;
									
									//Se crean las consultas. Ojo confirmo = 0 => no ha confirmado
									//confirmo = 1 => confirm que asistir
									//confirmo = 2 => confirm que no asistir
									
									String s1 = "update socios set confirmo = 1 where login ='"+login1+"'";
									String s2 = "update socios set confirmo = 2 where login ='"+login1+"'";
		
											switch(a) //Segun el boton apretado
											{
				
											case 1: {//Boton1
															try{
																util = stat1.execute(s1); //Si asistira, ejecuto la consulta
																}
															catch(Exception e7){}
															break;
														}	
											
											case 2: {//Boton2
															try{
															util = stat1.execute(s2); //Si no asistir, ejecuto otra consulta
																}
															catch(Exception e8){}
															break;
														}
											}//Fin Switch
				
							}//actionPerformed
							
			JPanel pan2, jp2;
		
			}//BotonHandler
		
		ResultSet res, res2;
		String login1, temp;
		Statement stat1;
		boolean flag, util;
		String fecha, hora, rival, lugar;
		int divisiones, dbDiv, dbCon;
		JLabel l1;
		JButton Boton1, Boton2;
		JPanel j, j2;
   }  
