 /**
@author Sergio Catalan y Eduardo Duran
@fecha 13 de Junio de 2005
*/
	
   import javax.swing.*;
   import java.awt.event.*;
   import java.awt.*;
   import java.awt.geom.*;
   import java.applet.*;
   import java.awt.image.*;
   import java.lang.*;
   import java.io.*;
   import java.util.*;
   import java.sql.*;
   import javax.sql.*;
   
	 //Clase principal de la interfaz de comunicacin CDUSM
	 //Posee la clase main
    public class Proyecto extends JFrame{
    
      JTextField Usuario;
      JPasswordField Password;
      JButton Ingresar;
      JButton Limpiar;
      JButton BotonFicha;
      JButton BotonDeuda;
      JButton BotonProgramacion;
      JButton BotonInformacion;
      JButton BotonMensajes;
      FrameMio f1;
      Container container;
      Container contentpane;
      PanelBotones PB;
      PanelInformacion PI;
      PanelDeuda PD;
      PanelFicha PF;
      PanelProgramacion PP;
      String vName;
      String vPass;
      String name, pass;
      PanelMensajes PM;
      ArrayList ArregloPaneles;
   	
   	//Base de datos
      conectarDB conn;
      Statement s;
      ResultSet rs;
   	
   	//Constructor del frame
       Proyecto(){
         setTitle("SIDA - CDUSM");
         setSize(253,430);
         setResizable(false);
         setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
         BorderLayout BL =	new BorderLayout();
         container = getContentPane();
         container.setLayout(BL);		
         PanelCentral panel= new PanelCentral();
         container.add(panel, BorderLayout.CENTER);
      }//Fin del constructor
       
   	 //Clase main. Lanza la aplicacin
       public static void main(String[] args){
      	
      	//Se crea un proyecto (un frame) y se muestra
         Proyecto p = new Proyecto();
         p.show();  
                    
      }
      
   	 //Clase que muestra el panel de ingreso de login y pass
       class PanelCentral extends JPanel {
      
          public PanelCentral(){//Constructor
          
          	//Estilo y etiquetas
            setBackground(Color.white);
            JLabel User= new JLabel("Usuario");
            JLabel Pass= new JLabel("Password");  
            Ingresar = new JButton("Ingresar"); 
            Limpiar = new JButton("Limpiar");
            Usuario= new JTextField(10);
            Usuario.requestFocus();
            Password= new JPasswordField(10);
            FlowLayout fl = new FlowLayout();
            fl.setHgap(20);
         	
         	//Se agrega el titulo
            add(new JLabel("SIDA"));
            add(new JLabel("Sistema de Informacion Deportiva Amigable"));
            add(new JLabel("Ingresa tus datos de usuario"));
         	
         	//Paneles derecho e izquierdo para mostrar las etiquetas y campos de texto
            JPanel p1 = new JPanel();
            p1.setLayout(new GridLayout(3,1));
            p1.setBackground(Color.white);
            JPanel p2 = new JPanel();
            p2.setLayout(new GridLayout(3,1));
            p2.setBackground(Color.white);
         				
            p1.add(User);
            p2.add(Usuario);
            p1.add(Pass);
            p2.add(Password);
         	
            p2.add(Ingresar);
            p1.add(Limpiar);
         	
         	//Se adjuntan los paneles al panel
            add(p1);
            add(p2);
            
         	//Se adhiere una foto (escudo del club)
            ImageIcon imagen = new ImageIcon("escudo.jpg");
            JLabel foto = new JLabel(imagen);
            add(foto);
            
         	//Manejadores de accion para los botones de ingreso de usuario
            Ingresar.addActionListener(new ButtonListener());
            Limpiar.addActionListener(new ButtonListener());
         	
         	
         }
      }
     
   	 //Clase que crea el frame del panel de informacin (distito al panel de ingreso de usuario)
   	     
       class FrameMio extends JFrame{
      
          public FrameMio(){
            setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
            setSize(600,400);
            setTitle("Sesion de Usuario");
            setResizable(false);
            BorderLayout BL =	new BorderLayout();
            contentpane = getContentPane();
            contentpane.setLayout(BL);
         	
         	//Se crean 2 paneles: Uno contendr una botonera y el otro la informacion
            PB = new PanelBotones();
            PF = new PanelFicha(s, vName); //El primer panel que se presenta es el que muestra los datos personales
         	
         	//Arreglo para almacenar los paneles de: Ficha, Deuda, Informacin, Programacion y Mensajes
            ArregloPaneles = new ArrayList(1);
            ArregloPaneles.add(PF); //El primero que se muestra es la Ficha
         	
         	//Se agregan los paneles
            contentpane.add((JPanel)ArregloPaneles.get(0),BorderLayout.CENTER);
            contentpane.add(PB,BorderLayout.WEST);
         	
         	//Se agrega el manejador de accin para los botones
            BotonFicha.addActionListener(new ButtonListener());			
            BotonDeuda.addActionListener(new ButtonListener());			
            BotonProgramacion.addActionListener(new ButtonListener());			
            BotonInformacion.addActionListener(new ButtonListener());			
            BotonMensajes.addActionListener(new ButtonListener());			
         }
         
      	 //Metodo que permite cambiar el panel de informacion al apretar un boton
          public void CambiaPanel(JPanel PT){
            
         	//Saca el panel actual  
            contentpane.remove((JPanel)ArregloPaneles.get(0));
         	//Ingresa el panel que fue presionado en el boton, en la primera posicin del arreglo        
            ArregloPaneles.set(0,PT);
         	//Se agrega el panel
            contentpane.add((JPanel)ArregloPaneles.get(0),BorderLayout.CENTER);
         	//Se pinta el frame, para ver el cambio        
            repaint();
         	//Se activa el panel entrante
            PT.revalidate();
         }
      }
   	
   		//Crea como clase interna el panel que contendr los botones de seleccin
       class PanelBotones extends JPanel{
      
          PanelBotones(){
          	//Estilo
            setBackground(Color.white);
            setBorder(BorderFactory.createTitledBorder("Acciones"));
         	
         	//Se crean los botones
            BotonFicha= new JButton("Ficha Personal");
            BotonDeuda= new JButton("Deuda");
            BotonProgramacion= new JButton("Programacion");
            BotonInformacion= new JButton("Informacion");
            BotonMensajes= new JButton("Mensajes");
            GridLayout GL = new GridLayout(5,1);        		
            setLayout(GL);
         	//Se agregan
            add(BotonFicha);
            add(BotonDeuda);
            add(BotonProgramacion);
            add(BotonInformacion);
            add(BotonMensajes);
         }
      }
   	 
   	 //Clase que maneja los eventos del los botones       	   
       class ButtonListener implements ActionListener {
         
          public void actionPerformed(ActionEvent e) {
            
            if (e.getSource()==Ingresar) { //Si se ha presionado ingresar en el panel de ingreso de usuarios,
            //se verifica que el usuario pertenezca a la base de datos del club
            
            
            	//Se adquiere los datos escritos en los campos de texto
               name = Usuario.getText();
               pass = Password.getText();          
            	
            	//Consulta. Se pregunta si los datos que ingres corresponden a un socio registrado en la base de datos
               try
               {
                  conn = new conectarDB();//Se adquieren los parametros de coneccion
                  s = conn.getStat();	//Se instancia un Statement para ejecutar querys en la BD
                  rs = s.executeQuery("select * from socios where login='"+name+"' AND password='"+pass+"'");
               //Almacena los datos
                  rs.next();
                  vName = rs.getString("login");
                  vPass = rs.getString("password");
               }
                   catch(Exception ex)
                  {
                     System.out.println("Excepcion al hacer query: "+ex);//Si hay excepcion
                  }
            	
            	//Si los datos ingresado corresponden a un usuario registrado					
               if (vName != null){
               //Se crea un panel de informacin (Botonera y Info)
                  f1= new FrameMio();
               //Se muestra en pantalla
                  f1.show();
               //Se cierra el panel de ingreso de ususario
                  dispose();
               }
               else { //Si los datos no correponden, si avisa.
                  Usuario.setText("datos_incorrectos");
                  Password.setText("");
               }
            }
            
         	//Si se presion limpiar, se borran los contenidos de los campos de texto
            if (e.getSource()==Limpiar) {
               
               Usuario.setText("");
               Password.setText("");
            }
            
         	//Si se presion boton ficha, en el panel de informacin se reeplaza el panel actual por el panel Ficha.
            if (e.getSource()==BotonFicha){
               
               f1.CambiaPanel(PF);
            }
         	//Si se presion boton Deuda, en el panel de informacin se reeplaza el panel actual por el panel Deuda.
            if (e.getSource()==BotonDeuda){
             
               PD = new PanelDeuda(s, vName);//Se crea un panel Deuda
               f1.CambiaPanel(PD);
            }
         	//Si se presion boton Programacion, en el panel de informacin se reeplaza el panel actual por el panel Programacion.
            if (e.getSource()==BotonProgramacion){
            
               PP = new PanelProgramacion(s, vName);   
               f1.CambiaPanel(PP);
            }
         	//Si se presion boton Informacion, en el panel de informacin se reeplaza el panel actual por el panel Informacion.
            if (e.getSource()==BotonInformacion){
            
               PI = new PanelInformacion(s, vName);
               f1.CambiaPanel(PI);
            }
         	//Si se presion boton Mensajes, en el panel de informacin se reeplaza el panel actual por el panel Mensajes.
            if (e.getSource()==BotonMensajes){
               
               PM = new PanelMensajes(s, vName);
               f1.CambiaPanel(PM);
            }
            
         }
      }
   }
   
	      
    
  
